<div id="sidebar">

<ul>
<?php 	/* Widgetized sidebar, if you have the plugin installed. */
					if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar() ) : ?>


<!-- BEGIN SCORE FUNCTION -->

<!--Thanks to Totally Scored.com for the sweet feeds-->

<?php
       require_once (ABSPATH . WPINC . '/rss-functions.php');
       function get_rss_items () {
               $feed_url = get_feed();
               $rss = @fetch_rss($feed_url);
               return array_slice($rss->items, 0, 5);
       }
       function get_game_data ($item) {
               //Ex: 1 Boston 3 L.A. Dodgers 
               $matches = array();
               preg_match("/(.*) (\d+)(\*|) vs\. (.*) (\d+)(\*|) \(.*\)/", $item['title'], $matches);
               $winner = '';
               if($matches[3] == '*') {
                       $winner = 'team_1';
               }
               else {
                       $winner = 'team_2';
               }
               //Ex: Sun, 30 Mar 2008 00:30:04 -0500
               $dmatches = array();
               preg_match("/(.*, \d{2} .* \d{4}) (\d{2}:\d{2}:\d{2} .*)/", $item['pubdate'], $dmatches);
               return array(
                               'team_1' => $matches[1],
                               'team_1_score' => $matches[2],
                               'team_2' => $matches[4],
                               'team_2_score' => $matches[5],
                               'winner' => $winner,
                               'date' => $dmatches[1]
                       );
       }
       $rss_items = get_rss_items();
?>
<?php if(isset($rss_items) && count($rss_items)): ?>

<li><img src="<?php bloginfo('template_url'); ?>/images/pencil.png" alt="pencil" id="pencil" /></li>

<li><div class="widget scorebox">

<h3>Latest Scores</h3>

<?php foreach($rss_items as $item): ?>
<?php $item_data = get_game_data($item); ?>
<table class="scores">
<tr>
<td class="date" colspan="4"><?php echo $item_data['date']; ?>
</td>
</tr>
<tr>
<th><?php if($item_data['winner'] == 'team_1'): ?><?php endif; ?><?php echo $item_data['team_1_score']; ?></th>
<td><?php echo $item_data['team_1']; ?><?php if($item_data['winner'] == 'team_1'): ?></td>
<?php endif; ?>
<th><?php if($item_data['winner'] == 'team_2'): ?><?php endif; ?><?php echo $item_data['team_2_score']; ?></th>
<td><?php echo $item_data['team_2']; ?><?php if($item_data['winner'] == 'team_2'): ?></td><?php endif; ?></td>
</tr>
</table>

<?php endforeach; ?>

</div><!--END WIDGET-->
</li>	
<?php else: ?>
<?php endif; ?>
<!-- END SCORE FUNCTION --> 

			
<li><div class="widget">

<h3>Latest Images</h3>
	<ul id="mycarousel" class="clearfloat jcarousel-skin-tango">
		<?php get_flickrRSS(); ?>
	</ul>
</div><!--END WIDGET-->
	</li>		

	
<?php endif; ?>
</ul>
</div><!--END SIDEBAR-->

